cernlib (20061220+dfsg3-4.3ubuntu1) artful; urgency=medium

  * Work around build failure using gfortran-7. See PR 81723.
    Addresses: #853345.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 15:29:35 -0400

cernlib (20061220+dfsg3-4.3build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 17:17:27 +0000

cernlib (20061220+dfsg3-4.3) unstable; urgency=medium

  * Non-maintainer upload
  * Build ypatchy with -no-pie (closes: #837657)

 -- Gilles Filippini <pini@debian.org>  Fri, 06 Jan 2017 11:22:45 +0100

cernlib (20061220+dfsg3-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Suport arm64 (Closes: #766482)

 -- Wookey <wookey@debian.org>  Fri, 12 Jun 2015 18:50:03 +0000

cernlib (20061220+dfsg3-4.1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Non-maintainer upload.

  [ Mauricio Faria de Oliveira ]
  * Fix 'debian/control.new' for GNU make 3.82+ (Closes: #720689)
    Thanks Michael Tautschnig. New versions of GNU make don't 'sort' the output
    of 'wildcard' anymore. This is reported in the following GNU make announce:
    https://lists.gnu.org/archive/html/info-gnu/2010-07/msg00023.html

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 28 Aug 2014 19:07:13 +0200

cernlib (20061220+dfsg3-4) unstable; urgency=low

  * cernlib-base-dev: depends on dpkg-dev to fix Multiarch support.

 -- Lifeng Sun <lifongsun@gmail.com>  Sat, 24 Aug 2013 17:11:08 +0800

cernlib (20061220+dfsg3-3) unstable; urgency=low

  * Support multiarch.
  * Set source format to 3.0 (quilt).
  * Temporarily disable test-suite. (Closes: #701254, #713535)
  * {cernlib-base-dev,libmathlib2,pawserv}: set priority to optional.
  * Apply patchset manually rather than using obsolete dpatch.
  * debian/control:
    - bump Standards-Version to 3.9.4.
    - remove obsolete dpatch from build-dep.
    - remove obsolete DM-Upload-Allowed field.
    - transition from lesstif2 to motif, we will rename packages in next
      upload. (Closes: #717639)
    - canonical VCS-* fields.

 -- Lifeng Sun <lifongsun@gmail.com>  Fri, 23 Aug 2013 20:34:13 +0800

cernlib (20061220+dfsg3-2) unstable; urgency=low

  * Add patch 138: Remove invalid declaration of the REPEAT function.
    (Closes: #636565).
  * Add Danish translation of the debconf templates.
    Thanks to Joe Dalton <joedalton2@yahoo.dk>. (Closes: #621357)
  * debian/debhelper: rename to debian/dh to make lintian happy.
  * Bump Standards-Version to 3.9.2. No change needed.

 -- Lifeng Sun <lifongsun@gmail.com>  Thu, 04 Aug 2011 18:21:35 +0800

cernlib (20061220+dfsg3-1) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Switch to dpkg-source 3.0 (quilt) format

  * New maintainer. Thanks Kevin B. McCarty for contributing to the
    HEP free software community over the years. (Closes: #619388)
  * Bump Standards-Version to 3.9.1.
    - debian/copyright: BSD license is included directly instead of
      referenced from `/usr/share/common-licenses/BSD'.
    - change upstream version to 20061220, hence repackage orig.tar.gz.
    - debian/control.d/libpacklib-lesstif1-dev.control: change conflicts
      field to breaks.
    - debian/control.d/libmathlib2-dev.control: declare libmathlib1-dev
      in breaks field.
    - debian/control.d/cernlib-base-dev.control: declare libcojets1-dev,
      libgeant1-dev, libherwig59-dev, libisajet758-dev, libkuipx11-1-dev,
      libmathlib1-dev, libpaw1-dev, libpdflib804-dev and libphtools1-dev
      in breaks field.
  * debian/add-ons/cernlib.mk: fix a potential security issue caused by
    unset or empty LD_LIBRARY_PATH.
  * debian/debhelper/pawserv.prerm: thanks Ben Hutchings
    <ben@decadent.org.uk> (Closes: #592299)
  * Add -DCERNLIB_QGETCWD preprocessor flag to call getcwd instead of
    insecure getwd.
  * Add typo fixing patches 131-137.
  * Update patch 119:
    - Truncate overlong initialization string.
    - Replace obsolete sys_errlist with strerror.
    - Include stdlib.h to declare 'free' function.
  * debian/source/format: set source format to 1.0.
  * Set priority field to extra in control files:
    - debian/control.d/cernlib-base-dev.control
    - debian/control.d/libmathlib2-dev.control
  * Set priority field to optional in control files:
    - debian/control.d/cernlib-extras.control
    - debian/control.d/zftp.control
  * Remove duplicated section field from control files:
    - debian/control.d/cernlib{,-core,-extras}.control
    - debian/control.d/kxterm.control
  * debian/control.d/nypatchy.control: remove duplicated priority field.
  * debian/control.d/0base.control: add Vcs-{Git,Browser} fields.
  * Add lintian overrides:
    - debian/source/lintian-overrides: override
      debian-watch-file-is-missing, since the upstream is dead.
    - debian/lintian-overrides/cernlib: override
      description-starts-with-package-name.
    - debian/lintian-overrides/{libgraflib1,libgrafx11-1,libkernlib1,
      libmathlib2,libpacklib1,libpacklib-lesstif1}-gfortran: override 
      no-symbols-control-file.

 -- Lifeng Sun <lifongsun@gmail.com>  Mon, 28 Mar 2011 14:50:26 +0800

cernlib (2006.dfsg.2-14.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix broken patchsets causing FTBFS, patch provided by Davide Mancusi,
    thanks! (Closes: #560561).

 -- Nico Golde <nion@debian.org>  Fri, 30 Jul 2010 13:24:00 +0200

cernlib (2006.dfsg.2-14) unstable; urgency=low

  * Acknowledge NMUs (closes: #501263, #501525, #491530).
    Thanks Christian Perrier.
  * Bump Standards-Version to 3.8.1.
    - Support DEB_BUILD_OPTIONS=nocheck in debian/add-ons/cernlib.mk.
    - Add ${misc:Depends} to debian/control Depends for all binary packages.
  * Other minor changes to debian/add-ons/cernlib.mk necessary for building
    on non-Debian systems; thanks Marco Tangaro for finding them.
  * New (sort of) patch 113: Resurrect a small part of this patch to fix a
    minor PostScript issue.  Thanks Angelo Graziosi for the bug report and
    testing.
  * Revised patch 304: Restore optimization to -O2 on mips/mipsel now that
    gfortran optimization bug is fixed.
  * Revised patch 307: Update included cfortran.h, cfortran.doc to current
    version of Debian package, 4.4-13.
  * Debconf translation:
    - Updated es.po, thanks to Francisco Javier Cuadrado
      <fcocuadrado@gmail.com> (closes: #507757).

 -- Kevin B. McCarty <kmccarty@debian.org>  Fri, 13 Mar 2009 04:51:23 +0100

cernlib (2006.dfsg.2-13.2) unstable; urgency=low

  * Non-maintainer upload with maintainer's agreement to fix more
    l10n issues.
  * Debconf translations:
    - Brazilian Portuguese. Closes: #501263
    - Dutch. Closes: #501525

 -- Christian Perrier <bubulle@debian.org>  Sun, 12 Oct 2008 08:34:43 +0200

cernlib (2006.dfsg.2-13.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Swedish. Closes: #491530

 -- Christian Perrier <bubulle@debian.org>  Mon, 06 Oct 2008 07:16:09 +0200

cernlib (2006.dfsg.2-13) unstable; urgency=low

  * Patch 304: Make sure to detect mips and armeb architectures correctly
    in config/linux.cf.
  * Patch 304: Reduce mips/mipsel optimization to zero (-O0) to work around
    gfortran-4.3 SIN/COS bug, http://gcc.gnu.org/PR35662 .  I have verified
    (many thanks to Thiemo Seufer for use of his machine) that CERNLIB
    finally passes test suites on mips in this configuration, and so
    presumably also mipsel.

 -- Kevin B. McCarty <kmccarty@debian.org>  Fri, 21 Mar 2008 20:03:28 -0700

cernlib (2006.dfsg.2-12) unstable; urgency=medium

  * Patch 304: Reduce optimization to -O1 on mips, mipsel to try to fix
    numerous serious test suite errors.  Bump urgency to medium since this
    will (with luck) fix FTBFS.
  * debian/add-ons/Makefile, debian/control.d/nypatchy.control,
    debian/debhelper/nypatchy.{install,links}, debian/add-ons/Makefile:
    Also build an nypatchy package.  Requires these patches to source code
    (thanks to Patrice Dumas for patches 126 and 127):
    - New patch 124: Add Imakefile for bootstrap directory p5boot, and
      touch up p5boot.sh bootstrapping script.
    - New patch 125: Fix creation of PLINAME in patchy Imakefile.
    - New patch 126: Fix assorted compile flags, etc. in patchy build.
    - New patch 127: Cause yexpand script to generate tempfiles in $PWD
      rather than $HOME.
    - Updated patch 321: Make fcasplit and nyshell print "gfortran" instead of
      "f77" by default in scripts they generate.
  * debian/add-ons/manpages/*: Fix unescaped hyphens in man page.  Write some
    manpages for nypatchy package.

 -- Kevin B. McCarty <kmccarty@debian.org>  Thu, 13 Mar 2008 09:49:06 -0700

cernlib (2006.dfsg.2-11) unstable; urgency=low

  * Patch 102: Add kernlib/kerngen/tcgen/tlsc.F to the list of files not
    to compile optimized, due to mis-compiled code at -O2 on ia64 (bug filed
    against gfortran-4.3 as #466948).  Should fix FTBFS on ia64.
  * New patch 217: Force mathlib/gen test program "gent" to exit non-zero
    if any individual test fails, so I don't have to inspect test suite
    output manually for test failures in buildd logs.

 -- Kevin B. McCarty <kmccarty@debian.org>  Fri, 22 Feb 2008 12:25:14 -0800

cernlib (2006.dfsg.2-10) unstable; urgency=low

  * Patch 304: Adjustments to compiler flags to solve various problems:
    - Do not build with -funroll-loops, in order to work around compiler
      bugs: ICE on arm at kernlib/kerngen/tcgen/ranecu.F (filed as #466791)
      and bad code on ia64 at mathlib/gen/tests/c201s.F (filed as #466911).
    - Build with -fno-range-check option to gfortran to ignore arithmetic
      overflow compiler errors, as g77 does by default (closes: #466834),
      and therefore...
  * Patch 321: Revert work-around for that purpose from release -8.

 -- Kevin B. McCarty <kmccarty@debian.org>  Thu, 21 Feb 2008 11:54:27 -0800

cernlib (2006.dfsg.2-9) unstable; urgency=low

  * Upload gfortran-transitioned CERNLIB to unstable.

 -- Kevin B. McCarty <kmccarty@debian.org>  Tue, 19 Feb 2008 10:12:32 -0800

cernlib (2006.dfsg.2-8) experimental; urgency=low

  * Patch 321: In kernlib/kerngen/tcgens/lnxppcgs/{ubunch.F,ublow.F}, work
    around gfortran overflow error in initializing 4-byte integer with
    "data mask1/x'ff000000'/" statement.  N.B. these files are only compiled
    by big-endian architectures, so this change is irrelevant to i386, etc.
  * debian/debhelper/cernlib-base.README.debian: Update to mention the new
    montecarlo-data binary package and the soversion bump for libisajet.
  * debian/control.d/libmathlib2-dev.control: Revert back to depending on
    libblas-dev and liblapack-dev by default, as the libatlas-base-dev
    package (and friends) does not ship liblapack.so and libblas.so symlinks
    where the compiler and linker will see them automatically.
  * debian/control.d/libmathlib2-dev.control: Also Conflict against
    g77-based libdevel packages refblas3-dev and lapack3-dev.
  * debian/NEWS: s/unstable/experimental/ in 2006.dfsg.2-7 NEWS entry to fix
    newly introduced lintian warning.

 -- Kevin B. McCarty <kmccarty@debian.org>  Fri, 15 Feb 2008 09:54:57 -0800

cernlib (2006.dfsg.2-7) experimental; urgency=low

  * Tweak dependencies and build-deps to use new libblas-dev and
    liblapack-dev packages; also gfortran 4.3.  No longer force installation
    of BLAS and LAPACK reference implementations instead of ATLAS at
    install time, only at build time.

  * Patch updates to fix new issues that arose with gfortran 4.3:
    - Patch 216: Fix compiler error "Result of LGAMMA overflows its kind" on
      mathlib GEN test 310 by using the CERNLIB log-gamma function, not
      the glibc one.  Also force use of CERNLIB version of log-gamma function
      internally elsewhere in mathlib.
    - Patch 321: Fix ZEBRA test zebfz8 read error at EOF, caused by a
      change in the definition of gfortran error codes between 4.2 and 4.3.
      For some inexplicable reason, the error code returned by IOSTAT=xxx in
      a ZEBRA call to READ at EOF is not the expected (-1), but is instead
      the value defined as (LIB)ERROR_BAD_OPTION (3 in gfortran-4.2, 5002 in
      gfortran-4.3) in libgfortran.h.

  * Make packages installable in parallel with old g77-based runtime libs
    (though NOT with old libdevel packages):
    - Patch 605, debian/rules: Move kuesvr executable and man page elsewhere
      so that libpacklib1-gfortran doesn't overwrite libpacklib1 files.
    - Patch 800, debian/add-ons/cernlib.mk, debian/debhelper/lib*.install:
      Add Make variable $(TOOL_NAME) to make shared lib filenames (as well
      as sonames) include "_gfortran" string.
    - debian/control.d/lib*.control: Remove relevant Conflicts/Replaces that
      were introduced in previous revision.
    - debian/NEWS: Edit most recent entry appropriately.

  * Slight update to debian/README.64-bit to mention the -fno-automatic flag.
  * Change install-cernlib-dirs.sh to link to Monte Carlo data files in
    /usr/share/montecarlo-data (data files will be moved there in next
    upload of mclibs to experimental).
  * Debconf translation:
    - Updated ja.po, thanks to Hideki Yamane <henrich@debian.or.jp>
      (closes: #463710)

 -- Kevin B. McCarty <kmccarty@debian.org>  Mon,  4 Feb 2008 09:11:38 -0800

cernlib (2006.dfsg.2-6) experimental; urgency=low

  * Experimental upload implementing gfortran transition:
    - debian/add-ons/cernlib.mk: Make gfortran the default compiler.
    - debian/add-ons/cernlib.mk: Add "_gfortran" string into sonames to keep
      binary compatibility with Fedora gfortran-compiled CERNLIB packages.
    - debian/add-ons/bin/cernlib.in: s/-lg2c/-lgfortran/g
    - debian/NEWS: Warn that recompilation of user programs will be required.
    - debian/README.amd64: Remove this file as it applies only to g77.
    - debian/control.d/*, debian/debhelper/*, debian/copyright*, debian/rules:
      Rename library packages for gfortran transition.  While renaming
      things, rename libpacklib1-lesstif{,-dev} to
      libpacklib-lesstif1-{gfortran,dev} to get the soversion in the right
      place in the package name.  Add Conflicts and Replaces on old library
      packages.  Bump Build-Depends and Depends of devel packages to the first
      versions of dependent packages built with gfortran.

  * gfortran-related source code patch updates and revisions:
    - Patch 102: Build gamma64.F with no compiler optimization; it fails
      the mathlib test suite (GEN test #66, for E408) at -O3 in gfortran-4.2.
      (Note, even when compiled optimized, the "failure" is caused by an
      error in the 16th significant base-10 digit of a calculation involving
      results returned from the DGAMMA function; I suspect mathlib authors
      were overly optimistic about the precision of "double" variables.)
    - Patch 215: Removed; hope the g77 compiler bug on ia64 that prompted this
      patch isn't also present and needing to be worked around in gfortran.
    - New patch 216: Force use of CERNLIB gamma function within mathlib, not
      glibc's gamma function, which may be insufficiently precise; see, e.g.,
      the thread started at http://gcc.gnu.org/ml/fortran/2007-10/msg00096.html
      (This is not an issue now, but may be in the future when gfortran-4.3
      becomes the default compiler.)
    - Patch 304: Make sure that gfortran is passed the -fno-automatic flag.
    - Patch 321: Rename MYGETARG to KERNLIBGETARG, and comment out GETARG
      itself, to make name clashes much less likely.  Use KERNLIBGETARG
      instead of _gfortran_getarg_i4 in kfor.h in case gfortran name mangling
      changes in the future.

  * Support ppc64 architecture:
    - Patch 211: No change needed; Patrice Dumas finds that like amd64, ppc64
      puts static variables and local functions in memory under the 32-bit
      barrier.
    - Patch 304: Update Imake.cf to the version from xutils-dev 1:7.2.ds2-1
      (but keeping the local change of darwin.cf -> MacOSX.cf).  Revise
      linux.cf to match, supplying -DCERNLIB_QMLXIA64 flag in the event
      of Ppc64Architecture being defined.

  * debian/cernlib-debian.mk: Remove section that would by default delete
    the build tree of object files after stampdir/cernlib-{arch,indep}-stamp
    were created.  This could have caused a race condition when used with
    parallel make.  Conserving disk space on buildds is no longer as
    important with CERN libs split into four separate source packages.
  * debian/README.source: Remove mention of the now-useless "keepbuild"
    $DEB_BUILD_OPTIONS flag.

  * More lintian fixes:
    - debian/control.d/0base.control: Bump Standards-Version to 3.7.3.
    - debian/patches/*: Make sure all patches have a "## DP:" comment header.
    - debian/rules: Add lintian override for 'cernlib' metapackage lintian
      error in short description "description-starts-with-package-name".

  * Miscellaneous minor tweaks:
    - debian/cernlib-debian.mk: Define CERNLIB_VERBOSE to get more output
      from some test suite programs.
    - debian/control.d/0base.control: Add Homepage field.
    - debian/copyright*: Mention the switch to GPL v3.
    - debian/debhelper/kxterm.menu: Deleted; it is not useful to have kxterm
      in the menu without an application to drive it.
    - debian/debhelper/cernlib-base.README.debian: Explain how to turn on
      Vim syntax highlighting for KUIPC and kumacs files, now that it is
      no longer automatic.
    - debian/*: Uniformly capitalize CERNLIB and CERN, following usage on
      upstream's web page (but without editing old changelog or NEWS entries).

  * debian/rules: Add rule to call debconf-updatepo explicitly from
    debian/rules clean target.
  * debian/control.d/*: debian/control reviewed by the debian-l10n-english
    team as part of the Smith Review Project.  (Partly closes: #454572)
    A few additional tweaks made.
  * debian/pawserv.templates: Debconf template reviewed by the debian-l10n-
    english team as part of the Smith Review Project.  (closes the rest of
    #454572)
  * New or updated debconf translations following the template update:
    - Updated cs.po, thanks to Miroslav Kure <kurem@debian.cz>
      (closes: #457682)
    - Updated de.po, thanks to Erik Schanze <eriks@debian.org>
      (closes: #457798)
    - Updated fr.po, thanks to Christian Perrier <bubulle@debian.org>
      (closes: #455775)
    - Updated gl.po, thanks to Jacobo Tarrio <jtarrio@debian.org>
      (closes: #455776)
    - Updated pt.po, thanks to Miguel Figueiredo <elmig@debianpt.org>
      (closes: #458597)
    - Updated vi.po, thanks to Clytie Siddall <clytie@riverland.net.au>
      (closes: #457302)
    - New eu.po, thanks to Aitor Ibañez <aitiba@gmail.com>
      (closes: #457829)
    - New fi.po, thanks to Esko Arajärvi <edu@iki.fi>
      (closes: #455962)
    - New it.po, thanks to Luca Monducci <luca.mo@tiscali.it>
      (closes: #456552)
    - New nb.po, thanks to Bjørn Steensrud <bjornst@skogkatt.homelinux.org>
      (closes: #455794)
    - New ru.po, thanks to Yuri Kozlov <kozlov.y@gmail.com>
      (closes: #434232)

 -- Kevin B. McCarty <kmccarty@debian.org>  Fri, 11 Jan 2008 10:03:47 -0800

cernlib (2006.dfsg.2-5) unstable; urgency=low

  * debian/add-ons/cernlib.mk: Fix brown paper bag bug.  Do not accidentally
    create a file named *.dpatch when there are no files in a source tree
    whose names match the glob debian/patches/*.dpatch.in
    This bug went undetected for a long time because all cernlib-related
    source packages included at least one file matching this glob.

 -- Kevin B. McCarty <kmccarty@debian.org>  Fri, 04 Jan 2008 20:30:00 +0000

cernlib (2006.dfsg.2-4) unstable; urgency=low

  * debian/add-ons/bin/cernlib.in: Try to link -lblas and -llapack always,
    not -llapack-3 or -lblas-3.  Should ensure that we only ever are linked
    against refblas3-dev and lapack3-dev libraries even if ATLAS is also
    installed on the system.  (Users can still override this by supplying
    -L/path/to/atlas/libs to the compiler command line before the cernlib
    script output.)  This ought to fix recent FTBFS on mips/mipsel buildds.

  * Revised patch 214: Also change DET variable in TSING() to DOUBLE PRECISION
    instead of REAL in kernnum test suite.  Should fix alignment problem
    causing bus error and FTBFS on ia64 buildd in kernnum f011 test.

  * New patch 215: Failure of kernnum f004 test in TMXXX() on ia64 seems to
    be caused by g77 compiler bug.  This hack should work around it.  Likely
    this patch will not be needed after the switch to gfortran.

 -- Kevin B. McCarty <kmccarty@debian.org>  Thu, 03 Jan 2008 01:55:42 +0000

cernlib (2006.dfsg.2-3) unstable; urgency=low

  * Revised patch 211: Add IPTRDIFF() function on 64-bit systems to safely
    evaluate difference in memory locations of two FORTRAN variables, as long
    as they do not differ by more than 2^31 - 1 bytes, even if they are
    outside the 32-bit addressable memory range.
  * New patch 212: Explicitly print out test program exit codes.
  * New patch 213, many thanks to Patrice Dumas: Fix Imakefiles for building
    test programs.
  * New patch 214: Make kernnum functions and test suite more robust on
    64-bit systems.
  * Revised patch 803: Add an Imake macro to link a program statically
    against Cern libraries.
  * New patch 807: Compile certain test programs statically linked to Cern
    libraries on 64-bit systems.
  * debian/cernlib-debian.mk, debian/add-ons/cernlib.mk,
    debian/add-ons/Makefile: Enable test suite during build.  It's necessary
    to see how broken the gfortran transition makes things, but first we
    need a baseline with g77 for comparison, hence this upload.

 -- Kevin B. McCarty <kmccarty@debian.org>  Sat, 15 Dec 2007 01:08:50 +0000

cernlib (2006.dfsg.2-2) unstable; urgency=low

  * debian/control.d/cernlib-core-dev.control: Remove libpawlib2-lesstif-dev
    alternative from metapackage dependency now that libpawlib-lesstif3-dev
    is in Sid.

  * debian/debhelper/cernlib-base.README.debian:
    s/libpawlib2-lesstif/libpawlib-lesstif3/g

  * debian/README.64-bit: Update to reflect that COMIS should now work
    on ia64 and alpha as well as amd64 when statically linked.

  * debian/README.amd64: Update reference to g77/gfortran -f{no-,}f2c flag
    to gfortran-<version>-doc, as g77-3.4-doc no longer exists, and note
    that the package is in non-free.

 -- Kevin B. McCarty <kmccarty@debian.org>  Thu, 10 May 2007 17:45:59 -0400

cernlib (2006.dfsg.2-1) unstable; urgency=low

  * debian/cernlib-debian.mk: Fix typo in orig.tar.gz generation rule
    (closes: #416008).  Hence rebuild orig.tar.gz.  Thanks to Angelo
    Graziosi <Angelo.Graziosi@roma1.infn.it> for noticing the problem.

  * debian/README.Debian-source: Write file describing how the orig.tar.gz is
    created, to comply with Developers' Reference section 6.7.8.2.

  * debian/control.d/cernlib-core-dev.control: Depend on or'ed combination of
    libpawlib2-lesstif-dev with forthcoming new package
    libpawlib-lesstif3-dev, since the soversions for libpawlib-lesstif (and
    hence also libgeant321) will need to be bumped due to an upcoming purge of
    obsolete embedded third-party code from the library.  Once the new
    libraries are in unstable I'll remove the libpawlib2-lesstif-dev
    dependency, but in the meantime the cernlib-core-dev metapackage will
    still be installable.

  * debian/control.d/pawserv.control: Add Depends on openbsd-inetd |
    inet-superserver, as post-Etch, netbase no longer provides or depends
    on an inetd.

  * New patch 122: Fix minor syntax errors in CDF files (text accidentally
    commented out by leading '*' characters) that caused a few phrases to
    be missing from program online help texts.

  * Changes supplied or requested by Patrice Dumas <pertusus@free.fr> for
    use in Fedora Cernlib packages:
    - debian/add-ons/Makefile, debian/add-ons/bin/cernlib.in: Add the
      potential to have the cernlib script look for Cernlib libraries
      in a specific versioned directory.  [Does not affect Debian builds.]
    - New patch 123: Declare memmove() in packlib/kuip/kuip/kstring.h
      only if it is not already defined as a macro.  [Does not affect
      Debian builds.]
    - Patch 321: Revert to use of Harald Vogt's solution for supplying a
      getarg wrapper function to gfortran; upstream's solution hard-codes
      gfortran name mangling, and may break in the future.
    - Patch 800: Shared library target Imake macros updated for consistency;
      added the possibility to include the compiler name in the library
      sonames for FORTRAN compiler transitions.  [Does not affect Debian
      builds.]
    - Patch 805: Restore implementation of PERRORF() in kernlib [by deleting
      the part of this patch that kept it from being compiled].  I have
      no idea why I commented it out of the build long ago, and it seems
      it cannot possibly do any harm.  Hence, bump libkernlib shlibdeps
      in debian/rules.

 -- Kevin B. McCarty <kmccarty@debian.org>  Thu, 26 Apr 2007 01:34:16 -0400

cernlib (2006.dfsg-1) experimental; urgency=low

  * New upstream release.
    - Upstream has this time produced a single monolithic tarball.
      . debian/cernlib-debian.mk: Fix get-orig-source target accordingly.
      . debian/README.source, debian/copyright.in: Update.
    - Upstream now ships a bootstrap method of building nypatchy.  At
      some point (not just yet) we will build a package from this, so
      incorporate p5boot and patchy modules in the source package.
    - Upstream now ships a man page for the cernlib script.  We continue
      using a custom version of the script, but may as well ship their
      man page at least in the source package.
    - debian/debhelper/lib*.install: s/2005/2006/ for lib filenames
    - Patch 113: Upstream fixed ipdef.F; delete this patch.
    - Patch 115: Upstream fixed rsrtnt64.F in a more elegant way, so this
                 patch is now much simpler; merely ensure that weird jump
                 assignments are avoided on ia64/g77 as well as with gfortran.
    - Patch 202: Resync.
    - Patch 304: Merge in upstream's changes to Imake.cf, linux.cf,
                 linux-lp64.cf.
    - Patch 314: Upstream fixed kmfile.c; delete this patch.
    - Patch 315: Upstream fixed c327m.F, c342m.F, log.c, tcpaw.c, systems.c,
                 ksys.h, and added MacOSX.tmpl.  Merge in upstream's versions
                 of MacOSX.cf, MacOSX.rules.
    - Patch 318: Upstream fixed tcpaw.c; resync iconwidget.c.
    - Patch 321: Upstream fixed wpsipg.F, cfstft.F, v107z0.inc, iucomh.F,
                 getarg.F, ublow.F, ubunch.F, rndm.F, fzdaeof.inc, q_and.inc,
                 q_andor.inc, q_jbit.inc, q_jbyt.inc, q_jbytet.inc,
                 q_jbytor.inc, q_mbytet.inc, q_mbytor.inc, q_or.inc,
                 q_sbit.inc, q_sbit0.inc, q_sbit1.inc, q_sbyt.inc,
                 q_shift.inc, q_shiftl.inc, q_shiftr.inc, q_xor.inc.
                 Upstream did *not* see a need to change klnx.h; hence remove
                 our patch for that file.  Remove patch to linux.cf which
                 is now incorporated in patch 304.

  * Patch 803: Add "-u" to the invocation of "cernlib" used to create kxterm,
    and revert CernlibFortranProgramTarget to CernlibCcProgramTarget,
    ensuring that the kxterm binary is not linked against extraneous libs.

  * debian/control.d/*, debian/debhelper/cernlib-base*: Split out a new
    cernlib-base-dev package that contains the "cernlib" library dependency
    script and Autoconf and Imake macros.  People not using the CERN
    libraries for development need none of these.  Adjust control information
    accordingly so that only devel packages pull in cernlib-base-dev.
    Also install remove-deadpool and gmake scripts into /usr/share/cernlib
    so that other Cernlib source packages don't need to carry around their
    own copies (risking divergence).  Add $(datadir)/cernlib to $PATH
    in debian/add-ons/cernlib.mk so these scripts will be found automatically.

  * debian/add-ons/vim/*, debian/debhelper/cernlib-base.install,
    debian/control.d/cernlib-base.control: Add Vim macros for syntax
    highlighting of KUIPC Command Definition Files (CDFs) and KUIP/PAW
    macro (.kumac) files.  Emacs macros will be accepted as well but I
    won't be the one to write them.

  * debian/add-ons/bin/cernlib.in: Add output of -lXbae -lXm -lXaw for
    "cernlib -G Motif pawlib", preparing for plans to make libpawlib-lesstif.so
    use external libXaw and libXbae.  [N.B. -lXm *must* come before -lXaw.]

  * debian/control.d/cernlib{-core-dev,}.control: Remove explicit
    dependencies of cernlib metapackage upon geant321-data, libgeant321-*
    as the geant321 package pulls them in automatically.

  * debian/control.d/pawserv.control: Use ${misc:Depends} instead of
    explicit debconf dependency.

  * debian/control.d/libpacklib1-lesstif.control: Recommend kxterm.

  * debian/add-ons/Makefile: Add missing target dependency
    "cernlib-setup-local: cernlib-scripts"; prevents a failure in running
    "debian/rules binary-indep".

  * debian/rules: Remove stray reference to libpawlib2-lesstif package,
    no longer in this source package.  Use -s instead of -a for debhelper
    flags in binary-arch.

  * debian/add-ons/bin/install-cernlib-dirs.sh: Use 2006 for $CERN_LEVEL
    instead of 2005.  Also generate symlinks /cern/2006deb/src/include and
    /cern/2006deb/src/config.  Add a --year flag to permit uninstallation
    (or installation) of a Cernlib directory skeleton with a different year.
    Add symlinks from /usr/lib to GEANT and Monte Carlo data files
    xsneut95.dat, cojets.dat, eurodec.dat, isajet.dat.

  * debian/cernlib-debian.mk:
    - Set $(TEXMFVAR) to $(CURDIR)/.texmf-var as requested by the Debian
      LaTeX maintainers.  Take care of creating and removing this directory
      in the appropriate targets.  Cernlib modules (mclibs) that use LaTeX
      to build documents will now behave correctly when built using this
      version of the cernlib-base package.
    - No longer fiddle with separate directories for control file fragments
      on different arches; this is no longer needed as we now use -s instead
      of -a flags for debhelper in binary-arch.
    - As a result, we should no longer need to fiddle with debian/control at
      build time.  Instead, check that an autogenerated debian/control.new is
      the same as the existing debian/control; if not, error out of the build.

  * debian/changelog: Since the changelog is getting quite large, move
    entries older than a year or so into debian/changelog.Debian.old.
    Install this only into the cernlib-base binary package.

  * Remove empty directory debian/patches/optional from source package.

  * Debconf translation: gl.po, thanks to Jacobo Tarrio <jtarrio@debian.org>.
    (closes: #409621)

 -- Kevin B. McCarty <kmccarty@debian.org>  Tue,  6 Mar 2007 11:13:47 -0500

cernlib (2005.dfsg-5) unstable; urgency=low

  * Patch 211: Have chkloc() print 64-bit error message about pointers not in
    the data segment to stderr rather than stdout.  Merge small corrections to
    hgnt2.F, hgntf.F from Harald Vogt.

  * debian/NEWS: Remove the NEWS entry for version 2005.05.09.dfsg-1, about
    the purge of FLUKA code from the Geant 3.21 library.  This NEWS entry is
    now provided in the geant321 source package instead.

  * debian/README.64-bit: Reference new example in the libpawlib2-dev package.

  * debian/control.d/cernlib-core.control: Explicitly Depend upon
    "refblas3 | libblas.so.3, lapack3 | liblapack.so.3" so that only one of
    the sets {refblas3, lapack3} or {atlas3-base} will be pulled in by
    dependencies, preferring the former if neither is installed.
  
  * debian/debhelper/cernlib-base.TODO: Update description of post-Etch plans.

 -- Kevin B. McCarty <kmccarty@debian.org>  Wed, 27 Sep 2006 15:45:30 -0400

cernlib (2005.dfsg-4) unstable; urgency=low

  * Patch 211: Added fixes for hcreatem.F and hmapm.F on 64-bit arches from
    Harald Vogt.

  * debian/control.d/*: Substitute deprecated ${Source-Version} with
    ${source:Version} for arch:all packages, and with ${binary:Version} for
    lib*-dev packages depending on lib* packages.  Hence Build-Depend upon
    dpkg-dev (>= 1.13.19).

 -- Kevin B. McCarty <kmccarty@debian.org>  Tue, 19 Sep 2006 14:10:17 -0400

cernlib (2005.dfsg-3) unstable; urgency=low

  * Patch 321: Fix FTBFS on some architectures, apparently caused by an
    error in the recent changes to packlib/kernlib/kerngen/kerngen/klnx.h.

  * Patch 211: Fix FTBFS with gfortran (it doesn't like "%LOC" instead of
    "LOC").

 -- Kevin B. McCarty <kmccarty@debian.org>  Thu,  7 Sep 2006 16:41:50 -0400

cernlib (2005.dfsg-2) unstable; urgency=low

  * The "Harald Vogt, second edition" release.
    Based on work of Harald Vogt <hvogt@ifh.de> to improve 64-bit support and
    add gfortran support, released as a monolithic patch on 2006-07-20.

  * Patch 115: In addition to unwrapping the loop, change "1" to "&" for line
    continuation indicators in rsrtnt64.F.

  * New patch 119: Fix a large number of compiler warnings, mainly resulting
    from failure to #include system header files or misuse of NULL vs. 0.

  * New patch 120: Fix use of gets() in kuipcc.c.

  * New patch 121: Fix off-by-one bug in c209m.F mathlib test case.

  * Patch 211: 64-bit system support greatly expanded and updated.
    New function chkloc() added to kernlib; shlib dependency bumped in
    debian/rules.

  * New patch 321, debian/add-ons/cernlib.mk: Support gfortran in build
    infrastructure (but not yet in binary .debs).  To build Cernlib with
    gfortran, put "gfortran" in $DEB_BUILD_OPTIONS.  Note that you will first
    need to hack the file debian/add-ons/bin/cernlib.in to replace "-lg2c"
    with "-lgfortran" (line 98) for this to work properly.  You will also need
    to have installed versions of liblapack.so and libblas.so that were
    compiled with gfortran (the versions in Debian have been built with g77).

  * Delete no-longer-used patches 901 and 902 in debian/patches/optional
    that were only relevant to Monte Carlo libs (now in a separate source
    package).

 -- Kevin B. McCarty <kmccarty@debian.org>  Wed,  6 Sep 2006 19:01:46 -0400

cernlib (2005.dfsg-1) unstable; urgency=low

  * Rebuild source package since the mclibs, geant321, and pawlib tarballs
    have each been split off into their own source packages.
    (Now use "2005.dfsg" for the sake of having a shorter version number.
    Since digits precede letters in dpkg's version ordering, no epoch is
    necessary.)

  * Only the following binary packages are now generated from the cernlib
    source package:
    cernlib, cernlib-{base,core,core-dev,extras}, dzedit, kuipc, kxterm,
    libgraflib1{,-dev}, libgrafx11-1{,-dev}, libkernlib1{,-dev},
    libmathlib2{,-dev}, libpacklib1{,-dev}, pawserv, zftp.

  * Also remove src_cmz and src_patchy tarballs from orig.tar.gz since
    they are never used.
  
  * Remove netkit-inetd | xinetd dependency from pawserv package (and mention
    of xinetd from the long description) since netbase already depends on the
    default inetd and should continue to do so through the release of Etch.
    (closes: #382678)

  * Debconf translations
    - Portuguese: Hugo Peixoto, submitted by Rui Branco (closes: #378884)

 -- Kevin B. McCarty <kmccarty@debian.org>  Mon, 14 Aug 2006 13:35:57 -0400

cernlib (2005.05.09.dfsg-9) unstable; urgency=low

  * Prepare to split the Cernlib source package apart in the near future by
    making it possible to build individual source modules out-of-tree.
    - debian/add-ons/Makefile, debian/debhelper/cernlib-base.install,
      debian/control.d/cernlib-base.control: Install various Imake macros to
      /usr/share/cernlib/config/ in the cernlib-base binary package.  This way
      they only have to be patched once, not once per future source package.
    - debian/rules, debian/cernlib-debian.mk: Separate out most of the
      debian/rules targets into a separate file, and install that file to
      /usr/share/cernlib/ in the cernlib-base binary package.
    - debian/add-ons/Makefile, debian/add-ons/cernlib.mk: Similar separation
      of targets for the non-Debian-specific Makefile.  Install cernlib.mk to
      /usr/share/cernlib/ as well.
    - Therefore, in debian/patches/000-unpack.sh.dpatch, call "make" with
      "prefix=/usr" argument.

  * Patch 600: Delete.  We need to set site-specific options in a different
    way in order to make things work for out-of-tree source modules.  Instead,
    put these options into host.def in the stampdir/configure-stamp target
    of debian/add-ons/Makefile.  Create a new patch 600 that causes host.def
    to be read at configure time.

  * Patch 900: Delete.  Again, do this better by putting the option into
    host.def as appropriate.  New patch 320 puts a conditional test into
    the kxterm Imakefile checking for whether or not ifort is being used.
    Resync patch 803.  Correct erroneous ifort compiler flag
    (s/-no_formain/-nofor_main/) in both places, thanks to Eduardo Ariel
    Menendez P <emenendez@macul.ciencias.uchile.cl>.

  * debian/cernlib-debian.mk, debian/add-ons/Makefile: Utilize a $(DESTDIR)
    variable following the usual convention.

  * debian/debhelper/{libcojets2,libeurodec1,libisajet758-2}.dirs: Stop
    generating unused directory /usr/share/montecarlo-data.

  * debian/debhelper/libpawlib2-dev.README.debian: Correct the path of a
    file referenced in this document (s/pawlib1/libpawlib2/).

 -- Kevin B. McCarty <kmccarty@debian.org>  Sun, 16 Jul 2006 13:06:55 -0400

cernlib (2005.05.09.dfsg-8) unstable; urgency=low

  * debian/rules: Ensure LC_COLLATE=C when regenerating copyright and
    control files, so that the output is repeatable under different locales.

  * New patch 118: Rename common blocks in d510si.inc: X -> D510X and
    DF -> D510DF to work around the most obvious instance (but not fix the
    general case) of #374978, "Name clashes possible between PAW user
    variables and system library functions".  These are only used internally
    by mathlib, so no soname change is required.

  * Patch 302: Clean up after empty /tmp/comis* directories in paw wrapper
    script.

  * Patch 602: Improved so that Cernlib programs invoke x-terminal-emulator,
    sensible-{editor,pager} instead of xterm, vi, view in a few more places
    when CERNLIB_DEBIAN is defined.

  * debian/{rules,add-ons/misc/paw++.desktop,debhelper/paw++.install}: Add
    paw++ desktop file taken from patches.ubuntu.com (slightly edited) to
    paw++ package, and run dh_desktop -a in debian/rules accordingly.

 -- Kevin B. McCarty <kmccarty@debian.org>  Wed, 28 Jun 2006 10:15:19 -0400

cernlib (2005.05.09.dfsg-7) unstable; urgency=low

  * Patch 805: More dummy functions and subroutines added to mathlib,
    permitting more "real" functions that depend upon them to be built in
    as well, thanks to the research of Mattias Ellert.  Specifically:
    - USER1, USER2, GETCO dummies permit adding back EPDCHN EPDE1 EPDECC
      in the likewise-named FORTRAN files.
    - FCN dummy permits adding back FCN1 and MINSQ in the likewise-named
      FORTRAN files, and LINSQ QLINSQ D508R1 D508R2 in linsq.F.
    - FUNCT dummy permits adding back ARITHM ERRORF and SGZ in the
      likewise-named FORTRAN files, and FUMILI LIKELM in fumili.F.
    - For consistency, the mathlib dummy routines have all been consolidated
      into a single file in the patch, src/mathlib/gen/d/dummy.c, so
      src/mathlib/gen/divon/dfun.F has been scrapped.

  * Related changes:
    - Patch 112: No longer comment out prototype for QLINSQ() in gen.h.
    - debian/rules: Bump mathlib shlibs again.

  * Patch 307: Update copies of src/cfortran/cfortran.{doc,h} from newest
    Debian cfortran package, version 4.4-10.

  * Minor cleanups in documentation and control files:
    - debian/control.d/0base.control: Remove versioned build-dependency
      "gcc-4.0 (>= 4.0.2-4) | gcc (<< 4:4.0)"; it's useless clutter since none
      of the gcc versions currently in Sarge/Etch/Sid suffer from #325050.
    - debian/control.d/libgeant321-2.control: Add Recommends on kxterm.
    - debian/control.d/cernlib-core-dev.control: Change Section to devel.
    - debian/copyright: Remove mention of libmathlib2 README.Debian file that
      no longer exists (this was overlooked in the previous release).
    - debian/README.{64-bit,amd64}: Update Harald Vogt's web page URL.
    - debian/debhelper/cernlib-base.README.debian: Mention
      README.{64-bit,amd64}.

 -- Kevin B. McCarty <kmccarty@debian.org>  Thu, 18 May 2006 05:45:44 -0400

cernlib (2005.05.09.dfsg-6) unstable; urgency=low

  * patch 805: Add in dummy dfun.F file to the divon section of mathlib,
    after learning from Mattias Ellert <mattias.ellert@tsl.uu.se> that
    this dfun.F has nothing to do with the dfun.F in the lepto library.
    Thanks to him for supplying a fixed patch.
    - This permits us to compile in all divon functions, including
      RANGEN() and PARTN() that have been missed (thanks to Mattias and to
      Nils Pickert <nils@mipi.de>, respectively, for noting their absence).
    - patch 112: No longer comment out prototype for FUN() in gen.h.
    - debian/rules: Bump shlib version for mathlib due to added functions.
    - debian/debhelper/libmathlib2{,-dev}.README.debian: Remove these files
      since their contents, based on my previous inaccurate understanding,
      are erroneous.

  * debian/add-ons/bin/install-cernlib-dirs.sh,
    debian/debhelper/cernlib-base.{README.debian,examples}: Write and
    document a script that can install a /cern directory skeleton in order
    to improve compatibility with badly written third-party software.
    Script is installed under the cernlib-base doc directory, not into
    /usr/sbin, so that people won't be tempted to run it out of curiosity.

  * debian/control.d/0base.control:
    - s/xutils/xutils-dev/ in Build-Depends after X package split.
    - Bump Standards-Version to 3.7.2 (no changes).

 -- Kevin B. McCarty <kmccarty@debian.org>  Wed, 10 May 2006 12:15:35 -0400

cernlib (2005.05.09.dfsg-5) unstable; urgency=low

  * debian/control.d/lib{packlib1-lesstif,grafx11-1}-dev.control: Remove
    obsolete dependencies on xlibs-dev (>> 4.1.0).

  * patch 211:
    - add special case for alpha as well as ia64.  PAW will likely still
      be broken on alpha, but hopefully no longer quite as broken.
    - dirty hacks to src/pawlib/comis/deccc/cscal[dir].c to use the right
      pointer values in COMIS on alpha/ia64 systems.  This makes calls to
      compiled user routines work in PAW in simple cases.
    - compile temporary shlibs dlopened by PAW with -g in case someone wants
      to run the debugger on them.

 -- Kevin B. McCarty <kmccarty@debian.org>  Fri, 24 Mar 2006 16:26:29 -0500

cernlib (2005.05.09.dfsg-4) unstable; urgency=low

  * debian/control.d/0base.control: Forgot to include epoch in versioned
    build dependency on gcc defaults package.  Change to read
    "gcc-4.0 (>= 4.0.2-4) | gcc (<< 4:4.0)".

  * patch 211: Delete the part of the patch that modifies src/scripts/cernlib
    since upstream's cernlib script is never used anyway.

  * patch 307: Synced with current version of cfortran.h from cfortran
    package (4.4-9).

  * new patch 319: Hideous workaround (try to run imake twice) for
    non-deterministic imake segfaults on hppa.  If second run of imake
    fails, abort immediately (upstream didn't have "set -e" in their shell
    script).
    - Resynced patch 800.

  * patch 902: Add dummy install.shlib target in m68k patch to isajet
    Imakefile to prevent FTBFS.

  * debian/add-ons/misc/cernlib.m4: New version of Cernlib Autoconf macros
    from Patrice Dumas.

  * debian/debhelper/*.README.debian: Update the APT URLs for obtaining
    unofficial Monte Carlo installation packages from borex.princeton.edu
    to people.debian.org.  Remove the relevant reminder from the
    cernlib-base.TODO file.  Refer in cernlib-base.README.debian to the new
    Cernlib on Debian URL, http://people.debian.org/~kmccarty/cernlib/ .

 -- Kevin B. McCarty <kmccarty@debian.org>  Mon,  2 Jan 2006 10:42:22 -0500

cernlib (2005.05.09.dfsg-3) unstable; urgency=low

  * debian/add-ons/Makefile: Remove "|| true" from shared-lib generating
    shell script snippet calling "$(MAKE) install.shlib" subprocesses.

  * Patches to fix FTBFS on Itanium:
    - New patch 115-rsrtnt64-goto-outer-block: Patch from Patrice Dumas
      to fix spaghetti code in src/mathlib/gen/b/rsrtnt64.F.
    - New patch 116-fix-fconc64-spaghetti-code to work around linker breakage
      with recent binutils on ia64, caused by assignment to goto labels in
      src/mathlib/gen/c/fconc64.F.

  * New patch 117-fix-optimizer-bug-in-gphot from Harald Vogt <hvogt@ifh.de>
    to work around compiler optimization problem in src/geant321/gphys/gphot.F.

  * Revised and enabled patch 211-fix-comis-on-amd64 from Harald
    Vogt to make PAW and Paw++ work better on 64-bit platforms.  Some
    small modifications made from the initial patch preserving the dynamic
    library ABI and making it unnecessary to use g77's -fno-f2c flag.
    Shlib versions (but not sonames) bumped in debian/rules for libpawlib and
    libpacklib.
    - patches 315, 701: Resynced.
    - patch 307: Synced with current version of cfortran.h from cfortran
      package (4.4-8).
    - Build-Depend on cfortran (>= 4.4-8) to work around GCC bug 15397.
      See the cfortran 4.4-8 changelog and NEWS.Debian for more information.
    - debian/README.{64-bit,amd64}: Discuss in more detail potential problems
      on 64-bit platforms.

  * Added additional patch 211-fix-comis-on-ia64 to improve PAW usability on
    Itanium.  This builds on the work already done by Harald Vogt, using
    information obtained from _IA-64 Linux Kernel: Design and Implementation_
    (Mosberger and Eranian) and from tests run on merulo.debian.org.
    This is far from a complete solution; PAW is still quite broken on ia64.

  * Give up on having dynamically linked PAW work on 64-bit arches.  Get rid
    of the paw-static and paw++-static packages; PAW and Paw++ will be
    dynamically linked on 32-bit arches and statically linked against Cern
    libs on 64-bit arches.
    - debian/copyright{,.in}: paw*-static -> paw*
    - debian/rules: Copy working versions of paw++ and pawX11 into the install
      tree (dynamically linked versions if that works, static otherwise).
    - debian/control.d/paw{,++}-static.control: These are now dummy Arch: all
      packages depending upon paw{,++} for smooth upgrades.
    - debian/debhelper/paw{,++}.links: Remove unneeded man-page links...
    - debian/{debhelper,lintian}/paw*-static.*: ... and *-static package
      debhelper files.
    - debian/debhelper/paw{,++}{,-static}.preinst: Remove alternatives links
      in new preinsts.  Delete old postinst/prerms that implemented the links.
    - debian/rules: Re-add man page and binary links for
      paw{X11,++}.{dynamic,static} only as appropriate, for backwards
      compatibility.
    - debian/control.d/paw*, debian/debhelper/paw*.links: Move pawX11.1.gz
      and paw++.1.gz from paw-common into paw and paw++ packages.
      Add Replaces: paw-common (<< 2005.05.09.dfsg-3) for paw and paw++.
      Add direct Depends: g77 for paw and paw++ (they may be statically linked
      so we can't rely on the indirect Depends via libpawlib2).

  * Patch 302: Revise to have the "paw" script in the paw-common package
    exit with a sane error message if it can't find pawX11 or paw++ binaries.
    - debian/control.d/paw-common.control: Change the paw-common package's
      Depends: paw++ | paw-binary to a Recommends: paw | paw-binary to
      prevent the circular dependency paw, paw++ => paw-common => paw, paw++.

  * debian/add-ons/bin/cernlib.in: Take advantage of the Linux linker's
    intelligence, and don't have the cernlib script output any of
    "-lXp -lXext -lSM -lICE -lblas" when run on Linux if not specifically
    requested.  None of those libraries contain symbols needed by any
    Cernlib library or binary; they are only indirect dependencies
    required when linking 100% statically.  This reduces the number of
    spurious package dependencies somewhat.

 -- Kevin B. McCarty <kmccarty@debian.org>  Mon, 12 Dec 2005 13:47:00 -0500

cernlib (2005.05.09.dfsg-2) unstable; urgency=low

  * The file src/mclibs/isajet/isasusy/sszibf.F still breaks g77 on m68k,
    even at -O0.  To purge non-free GEANT-FLUKA code from the archive,
    we need to force this version into unstable for all arches, even m68k:
    - new patch 902, debian/add-ons/Makefile: Add a dpatch to remove isajet
      from the list of mclibs to compile if $(DEB_BUILD_ARCH) = m68k.
    - debian/control.d/cernlib-montecarlo.control: Only Recommend
      libisajet758-2-dev, don't Depend upon it.
    - debian/control.d/libisajet*.control: Moved into debian/control.d/no-m68k
    - debian/rules: Hacked to look for arch-specific control file snippets.
    - debian/add-ons/Makefile: Small fix to convert the new format of
      gcc -dumpmachine (e.g. "m68k-linux-gnu") to a machine architecture.

  * No other changes.  My apologies to the non-m68k buildds.

 -- Kevin B. McCarty <kmccarty@debian.org>  Mon,  5 Dec 2005 12:39:19 -0500

cernlib (2005.05.09.dfsg-1) unstable; urgency=low

  * Removed the directories src/geant321/peanut and src/geant321/block,
    as well as a number of include files in src/geant321/geant321
    (see debian/deadpool.txt for details).  These are all part of GEANT-FLUKA
    (they were previously overlooked in the first purge of FLUKA code) and
    therefore cannot be included in Debian.  In addition, removed the
    directory src/geant321/fiface and the files
    src/geant321/miface/{gfmdis.F,gfmfin.F} as they are useless without FLUKA.
    (closes: #340433)
    - Necessitates repacking the orig.tar.gz ("new" upstream version).
    - Files added to debian/deadpool.txt.
    - Patch 001-fix-missing-fluka: revised to skip these directories as
      well as src/geant321/fluka.
      . Patches 109, 203, 802, 806 re-synced.
    - Patch 003-geant-dummy-functions: to keep ABI compatibility of the
      library, we have to add in dummy functions and COMMON blocks to replace
      the removed code.
    - debian/rules: Bump the shlib version required by code built against
      libgeant321-2, as the dummy COMMON blocks may in some cases be slightly
      larger than the real ones.  (Does not break the ABI, as FORTRAN COMMON
      blocks are always global and never nested or passed between functions.)
    - New script debian/add-ons/scripts/libcomp to help check that the dummy
      common blocks are the right sizes.
    - Additional removals noted in the README.Debian files for the affected
      binary packages: geant321, libgeant321-2, libgeant321-2-dev.
    - debian/NEWS: Comment on the new round of code removal.

  * Some additional changes to existing patches suggested by Patrice Dumas
    <pertusus@free.fr> in the process of creating Cernlib RPMs:
    - patch 102: Add src/mathlib/gen/d/old506.F to the list of files to
                 compile without optimization; it breaks g77 3.2 otherwise.
    - patch 207: Have COMIS create temporary shared library files with g77,
                 not gcc.  (Resync patch 315.)
    - patch 210: Change <cfortran.h> to <cfortran/cfortran.h>.
    - patch 300: Prefer the FORTRAN version of lenocc() in
                 src/packlib/kernlib/kerngen/tcgen/lenocc.F to the C version
                 in src/packlib/kernlib/kerngen/ccgen/lenocc.c ; it isn't
                 clear that the C version is 64-bit safe.
    - patch 800: Use "$(FCLINK)" to create shared libs, not "gcc".
    - patch 802: Fixes to the top-level Imakefile, even though it isn't used
                 in the Debian package build.  For consistency, add
                 InstallSharedLibSubdirs(), and re-order the directory build
                 order to match that in debian/add-ons/Makefile.
    - patch 804: #include "comis/mdpool.h" or .inc consistently, using a new
                 dpatch shell script 804-link-to-comis-includes.sh to link
                 src/pawlib/comis/comis into src/include/.

  * New patch 114-install-scripts-properly: convert InstallProgram to
    InstallNamedProg in src/scripts/Imakefile, to avoid the build trying
    to strip shell scripts.  (This is not currently used in the Debian build
    but is included for consistency with Patrice Dumas's RPMs.)

  * debian/add-ons/bin/cernlib.in: Revised to take into account modern
    X directory layouts; patch from Patrice Dumas.
    - /usr/X11R6/lib will eventually no longer exist (as will be the case
      with modular X.org libs, where X libs go into /usr/lib)
    - Check also for /usr/X11R6/lib64 directory
    - Remove long-obsolete /usr/X386/lib and /usr/X11/lib directories
    - Merge Linux and Darwin cases, which are now essentially identical

  * In files defining dummy functions (patches 003, 309, 310), protect
    printed-out references to Debian-specific files by surrounding them with
    "#if defined (CERNLIB_DEBIAN)" ... "#endif".  Update the referenced
    directories (e.g. libphtools1-dev -> libphtools2-dev).

  * Bug #325050 in gcc-4.0 (which broke ntuple handling in PAW) has been fixed:
    - Build-Depend on gcc-4.0 (>= 4.0.2-4) | gcc (<< 4.0) to ensure that
      we compile with a gcc not having that bug.  (closes: #324902)
    - Revert hacks in debian/{control,rules} that forced build with gcc-3.4.

  * debian/debhelper/paw{,++}{,-static}.README.debian: Update reference to
    X FAQ about Debconf configuration of X config files with altered md5sums.

  * Update maintainer email everywhere in debian/ tree.

  * debian/rules, debian/copyright{,.in}: Add a rule to update the copyright
    file with the current list of files in debian/deadpool.txt.

  * debian/rules, debian/compat: Update to debhelper compat version 5.

  * Debconf translations
    - Spanish: César Gómez Martín <cesar.gomez@gmail.com> (closes: #334390)
    - Swedish: Daniel Nylander <po@danielnylander.se> (closes: #332334)

  * For previous changelog entries, please see the file changelog.Debian.old
    in the cernlib-base binary package.

 -- Kevin B. McCarty <kmccarty@debian.org>  Fri,  2 Dec 2005 11:57:11 -0500

